Debian Bug report logs - #544083
freebsd-utils: please add vidcontrol

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Axel Beckert <abe@debian.org>

Date: Fri, 28 Aug 2009 17:21:02 UTC

Severity: wishlist

Found in version freebsd-utils/7.2-8

Fixed in version freebsd-utils/8.0-9

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@deuxchevaux.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#544083; Package freebsd-utils. (Fri, 28 Aug 2009 17:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
New Bug report received and forwarded. Copy sent to abe@deuxchevaux.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 28 Aug 2009 17:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-utils: please add vidcontrol
Date: Fri, 28 Aug 2009 19:10:39 +0200 (CEST)
Package: freebsd-utils
Version: 7.2-8
Severity: wishlist

On my kfreebsd machine the mouse cursor seems off by default, even
with allscreens_flags="-m on" to /etc/rc.conf. (Don't know if the
usual FreeBSD settings in there have any function on Debian
GNU/kFreeBSD...)

To switch it on, the vidcontrol util from e.g.
http://svn.freebsd.org/viewvc/base/stable/8/usr.sbin/vidcontrol/ is
needed.

I just compiled the version from SVN (see above) and with one -lbsd it
compiled and worked.

Without vidcontrol, moused seems not so useful...

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (110, 'experimental')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages freebsd-utils depends on:
ii  libbsd0                       0.1.5-3    utility functions from BSD systems
ii  libc0.1                       2.9-25     GNU C Library: Shared libraries
ii  libfreebsd0                   0.0-8      FreeBSD compatibility library - sh
ii  libgeom0                      7.2-3      FreeBSD GEOM library
ii  libkiconv3                    7.2-3      FreeBSD kernel side iconv library
ii  libkvm0                       7.2-3      FreeBSD kvm (kernel memory interfa
ii  ufsutils                      7.2-2      UFS filesystems utilities

freebsd-utils recommends no packages.

Versions of packages freebsd-utils suggests:
ii  freebsd-hackedutils           6.1-3      FreeBSD utilities needed for GNU/k

-- no debconf information

-- debsums errors found:
Your vendor has not defined Fcntl macro O_NOATIME, used at /usr/bin/debsums line 257.




Changed Bug submitter to 'Axel Beckert <abe@debian.org>' from 'Axel Beckert <abe@deuxchevaux.org>' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 17 Feb 2010 19:15:25 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 20 Mar 2010 23:33:07 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sat, 20 Mar 2010 23:33:07 GMT) Full text and rfc822 format available.

Message #12 received at 544083-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 544083-close@bugs.debian.org
Subject: Bug#544083: fixed in freebsd-utils 8.0-9
Date: Sat, 20 Mar 2010 23:32:20 +0000
Source: freebsd-utils
Source-Version: 8.0-9

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools_8.0-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.0-9_kfreebsd-amd64.deb
freebsd-utils-udeb_8.0-9_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.0-9_kfreebsd-amd64.udeb
freebsd-utils_8.0-9.diff.gz
  to main/f/freebsd-utils/freebsd-utils_8.0-9.diff.gz
freebsd-utils_8.0-9.dsc
  to main/f/freebsd-utils/freebsd-utils_8.0-9.dsc
freebsd-utils_8.0-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_8.0-9_kfreebsd-amd64.deb
kbdcontrol_8.0-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_8.0-9_kfreebsd-amd64.deb
kldutils-udeb_8.0-9_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.0-9_kfreebsd-amd64.udeb
kldutils_8.0-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_8.0-9_kfreebsd-amd64.deb
vidcontrol_8.0-9_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_8.0-9_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544083@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Mar 2010 23:29:06 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol vidcontrol freebsd-net-tools
Architecture: source kfreebsd-amd64
Version: 8.0-9
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 544083 574645
Changes: 
 freebsd-utils (8.0-9) unstable; urgency=low
 .
   * Add /etc/pf.os to freebsd-net-tools
   * Add a vidcontrol package containing the executable, the font maps
     and the screen maps. Closes: bug#544083.
   * Update patches/016_swapon.diff to fix segfault on kfreebsd-amd64.
     Closes: bug#574645.
   * kldutils.init, freebsd-utils-init: don't set PATH to /usr/bin and
     /usr/sbin to make lintian happy.
   * Bumped Standards-Version to 3.8.4 (no changes).
Checksums-Sha1: 
 d03173544e9709fe47e2fb64cc221687b92724b2 1616 freebsd-utils_8.0-9.dsc
 38164d551f2164b468158f7e50f4cd9be8c77632 232218 freebsd-utils_8.0-9.diff.gz
 4da9c0c3d36f6c82a6dc416948db15be446231c5 266892 freebsd-utils_8.0-9_kfreebsd-amd64.deb
 8e34e38b9f7b7a826854b0cbd3eab236a96de2fd 34690 freebsd-utils-udeb_8.0-9_kfreebsd-amd64.udeb
 c03c224080a08da947aa9d8e87bcd54276a5f6ec 34948 kldutils_8.0-9_kfreebsd-amd64.deb
 33a425d5af191f4994a1f2cb4ae02011c29271d5 7272 kldutils-udeb_8.0-9_kfreebsd-amd64.udeb
 e4f8a3ca4d93691c9a9c2aa059af4feb3acd7708 106750 kbdcontrol_8.0-9_kfreebsd-amd64.deb
 40a328de907694b5685c976d44839a72990d675d 99012 vidcontrol_8.0-9_kfreebsd-amd64.deb
 d491264a958809ce254f8ae5fd6c9d73201c0e86 331090 freebsd-net-tools_8.0-9_kfreebsd-amd64.deb
Checksums-Sha256: 
 7c2d827b5f6face576efe0f0bffa1405046420213d58a65a561a1573720cda1e 1616 freebsd-utils_8.0-9.dsc
 4783b1d8084681d28af2567702b3a16fc9b3dcb7cff09cfb7c66d7a694be6048 232218 freebsd-utils_8.0-9.diff.gz
 b9af8db51aa73679543d3f8b413a73b8c86c53f58a98278e304473eaf341019d 266892 freebsd-utils_8.0-9_kfreebsd-amd64.deb
 fc8e32eae5df3b0f3c4dfebc19649d57d244c0cc4de812a79aca4ae0f8593f72 34690 freebsd-utils-udeb_8.0-9_kfreebsd-amd64.udeb
 2e44e0796529ed9670c6031cf3eb9bfd129e8787154d766a680ab11a69d6b3bc 34948 kldutils_8.0-9_kfreebsd-amd64.deb
 ba3121c9184d4c98f28752506ac74bde50a67c0227a24b9c531cc1b27de05e96 7272 kldutils-udeb_8.0-9_kfreebsd-amd64.udeb
 702684fef60e59d95c879f8fa90a5740e35080e5775db2b390b930e2ee642183 106750 kbdcontrol_8.0-9_kfreebsd-amd64.deb
 1460e4e9845d0286d46c185dc70e7c4a060e8fffca57badbb6f568d422eaf37b 99012 vidcontrol_8.0-9_kfreebsd-amd64.deb
 251f239d335e9f019c3bfa47fcf60e9b2b832e24b57d095be85ec86180b3f9a0 331090 freebsd-net-tools_8.0-9_kfreebsd-amd64.deb
Files: 
 96c9944c42e12a446fe05e027ea308eb 1616 utils important freebsd-utils_8.0-9.dsc
 71f0355478c63bacdf7a4471e828b3b4 232218 utils important freebsd-utils_8.0-9.diff.gz
 aed03924fa9dd571affb2af805b7bb94 266892 utils required freebsd-utils_8.0-9_kfreebsd-amd64.deb
 2a816d8caefe078c01b376247b1a62a5 34690 debian-installer optional freebsd-utils-udeb_8.0-9_kfreebsd-amd64.udeb
 04bd532ff7a0876fd5d8dcd7314118e9 34948 utils important kldutils_8.0-9_kfreebsd-amd64.deb
 420b0d78a49e23e11169d9a93b97f5f1 7272 debian-installer optional kldutils-udeb_8.0-9_kfreebsd-amd64.udeb
 41e828f793fc6153eb3d05227f6cd4d5 106750 utils important kbdcontrol_8.0-9_kfreebsd-amd64.deb
 1a7d87d55365220abc661d70f9fd94fa 99012 utils important vidcontrol_8.0-9_kfreebsd-amd64.deb
 1f8cf0811a9061bdd94a168cd14f4c8c 331090 net important freebsd-net-tools_8.0-9_kfreebsd-amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLpUybw3ao2vG823MRAsdoAJ0bzZkw4AIFjy72+JdFrHJb3xK0SwCgjgBg
KZq/LkRo6ydAYVUfenQLqR0=
=TLtk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Apr 2010 07:37:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:09:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.